ch.qos.logback.core.rolling.helper

## Class TimeBasedArchiveRemover

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.rolling.helper.DefaultArchiveRemover
    - - ch.qos.logback.core.rolling.helper.TimeBasedArchiveRemover

All Implemented Interfaces:
  ArchiveRemover, ContextAware

    public class TimeBasedArchiveRemover
    extends DefaultArchiveRemover

### Field Summary

### Fields inherited from class ch.qos.logback.core.rolling.helper.DefaultArchiveRemover

`INACTIVITY_TOLERANCE_IN_MILLIS, UNINITIALIZED`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`TimeBasedArchiveRemover(FileNamePattern fileNamePattern, RollingCalendar rc)`

### Method Summary

Methods
`protected void` `cleanByPeriodOffset(java.util.Date now, int periodOffset)`
`java.lang.String` `toString()`

### Methods inherited from class ch.qos.logback.core.rolling.helper.DefaultArchiveRemover

`clean, setMaxHistory`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### TimeBasedArchiveRemover

    public TimeBasedArchiveRemover(FileNamePattern fileNamePattern,
                           RollingCalendar rc)

### Method Detail

#### cleanByPeriodOffset

    protected void cleanByPeriodOffset(java.util.Date now,
                           int periodOffset)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`